@font-face {
  font-family: Gontserrat_light;
  src: url(../assets/font/gontserrat/Gontserrat-Light.ttf);
}

@font-face {
  font-family: Gontserrat_medium;
  src: url(../assets/font/gontserrat/Gontserrat-Regular.ttf);
}

@font-face {
  font-family: BebasNeue;
  src: url(../assets/font/bebas_neue/BebasNeue-Regular.woff2);
}

:root {
  --vert: #34574b;
  --blanc: #f8f1e7;
  --noir: #211d1d;
  --rouge: #e10341;
  --main-font: Gontserrat_light, sans-serif;
  --font-medium: Gontserrat_medium, sans-serif;
  --title-font: BebasNeue, sans-serif;
  --size-h1: 4rem;
  --size-h3: 1.75rem;
  --size-text: 1rem;
  --padding-section: 20px;
  --margin-section: 50px;
  --border-radius: 5px;
  --box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  --gap: 20px;
}

* {
  box-sizing: border-box;
}
body,
html {
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  gap: 0;
  background-color: var(--blanc);
  font-family: var(--main-font);
  overflow-x: hidden;
}

h1 {
  font-size: var(--size-h1);
  font-family: var(--title-font);
}
h2 {
  font-size: var(--size-h1);
  font-family: var(--title-font);
}
h3 {
  font-size: var(--size-h3);
  font-family: var(--title-font);
}
p {
  font-size: var(--size-text);
  line-height: 1.6;
}
h1,
h2,
h3,
p {
  font-family: var(--main-font);
  color: var(--noir);
}

.container {
  width: 90%;
  margin: 0 auto;
}

.fullscreen {
  width: 100%;
  margin: 0;
}

.modale {
  display: none;
}

.modale.active {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999;
}

.modale-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 60%;
  height: 60%;
  background-color: var(--blanc);
  padding: 3rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: left;
  z-index: 1000;
}

.modale-content h2 {
  margin-bottom: 1rem;
  margin-top: 1rem;
}

.modale-content span {
  position: absolute;
  top: 2rem;
  right: 3rem;
  font-size: 2.5rem;
  cursor: pointer;
}

@media (max-width: 750px) {
  :root {
    --vert: #34574b;
    --blanc: #f8f1e7;
    --noir: #211d1d;
    --rouge: #e10341;
    --main-font: Gontserrat_light, sans-serif;
    --title-font: BebasNeue, sans-serif;
    --size-h1: 3rem;
    --size-h3: 1.75rem;
    --size-text: 1rem;
    --padding-section: 20px;
    --margin-section: 50px;
    --border-radius: 5px;
    --box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    --gap: 20px;
  }

  .modale-content {
    width: 80%;
    height: min-content;
  }

  .modale-content span {
    top: 1rem;
    right: 2rem;
  }

  .modale-content h2 {
    font-size: 1.5rem;
  }
}

@media (max-width: 380px) {
  .modale-content h2 {
    font-size: 1.5rem;
  }

  .modale-content p {
    font-size: 0.8rem;
  }
}

.arrow {
  position: fixed;
  bottom: 2rem;
  right: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 3rem;
  height: 3rem;
  border-radius: 0.5rem;
  background-color: var(--blanc);
  opacity: 0;
  z-index: 500;
  transition: opacity 0.3s ease-in-out;
  pointer-events: none;
  cursor: pointer;
}

.arrow.visible {
  opacity: 0.8;
  pointer-events: auto;
}

.arrow i {
  font-size: 2.2rem;
  color: var(--noir);
}

.adresse_fin {
  display: flex;
  align-items: center;
  margin: 2rem 5%;
}

.adresse-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  width: 40%;
}

.adresse_fin img {
  width: 50%;
}

@media only screen and (max-width: 750px) {
  .adresse_fin {
    flex-direction: column;
    margin: 2rem 1rem;
    justify-content: center;
  }

  .adresse_fin h3 {
    font-size: 1.2rem;
  }

  .adresse_fin img {
    width: 80%;
    margin-top: 1rem;
  }
}
